For the complete documentation index, see llms.txt. This page is also available as Markdown.

/api/affiliate/account‑type‑permissions

patch

Update account type permissions

Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
accountidintegerRequired
sectionstringRequired
permissionsstringRequired
Responses
200

success

successbooleanOptionalExample: true
patch/api/affiliate/account-type-permissions
PHP (cURL)
<?php

$headers = array( //set your username and API key here
	'api-key: 44b5498dbcb481a0d00b404c0169af62',
	'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here

$data = array(
		'accountid' => 1000,
		'section' => 'overview',
		'permissions' => json_encode(array ( 'display' => true, 'all_views' => true, 'all_actions' => true, 'view' =>  array (  0 =>   array (   'key' => 'default',   'name' => 'Default Admin Overview',   'value' => false,  ),  1 =>   array (   'key' => 'mobile_affiliates',   'name' => 'Mobile Affiliates',   'value' => false,  ),  2 =>   array (   'key' => 'mobile_all',   'name' => 'Mobile All',   'value' => false,  ),  3 =>   array (   'key' => 'mobile_new_affiliates',   'name' => 'Mobile New Affiliates',   'value' => false,  ),  4 =>   array (   'key' => 'mobile_new_members',   'name' => 'Mobile New Members',   'value' => false,  ),  5 =>   array (   'key' => 'mobile_programs',   'name' => 'Mobile Programs',   'value' => false,  ),  6 =>   array (   'key' => 'mobile_sites',   'name' => 'Mobile Sites',   'value' => false,  ),  7 =>   array (   'key' => 'mobile_summary',   'name' => 'Mobile Summary',   'value' => false,  ),  8 =>   array (   'key' => 'original',   'name' => 'Original v4 View',   'value' => false,  ), ),))
	);

$request = array(
	'method' => 'PATCH',
	'path' => 'affiliate/account-type-permissions',
	'data' => $data
);

/*code below is the same for (almost) every API call */

$curl = curl_init();

$url = $url.'/api/'.$request['path'];

$query = http_build_query($request['data']);

if($request['method'] == 'GET'){
	//add query string parameters to the end of the url
	$url = $url.'?'.$query;
}else{
	//send parameters as POST fields
	curl_setopt($curl, CURLOPT_POST, 1);
	curl_setopt($curl, CURLOPT_POSTFIELDS, $query);

	if($request['method'] != 'POST'){
		$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
	}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);


$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>
200

success

{
  "success": true,
  "result": "permissions updated"
}

Last updated

Was this helpful?